Subject: Re: [GIT PULL v2] l10n updates for Git 2.54.0

From: Junio C Hamano <[email-masked]>
Date: Sun, 19 Apr 2026 23:12:38 -0700

Jiang Xin <[email-masked]> writes:

> Hi Junio,
>
> Here are the v2 l10n updates for Git 2.54.0. Changes since v1 include updates
> to the Bulgarian (bg) and Traditional Chinese (zh_TW) translations.
>
> Changes since v1:
>
>     po/bg.po    |   62 +-
>     po/zh_TW.po | 2699 +++++++++++++++++++++++++++++++++++++++--------------------
>     2 files changed, 1822 insertions(+), 939 deletions(-)
>
> Please pull the following l10n updates for Git 2.54.0.
>
> The following changes since commit b15384c06f77bc2d34d0d3623a8a58218313a561:
>
>   A bit more post -rc1 (2026-04-08 11:00:10 -0700)
>
> are available in the Git repository at:
>
>   [email-masked]:git-l10n/git-po.git tags/l10n-2.54.0-v2
>
> for you to fetch changes up to 5f53a3662a2aaebe36f8751807be728f41f65907:

Thanks, I only pulled v2 and thought about redoing the pull by
getting v1 first and then v2, but it seems you retracted v1 tag
already?  I assume that v2 is a superset of v1, in which case we are
perfectly fine ;-)

>
>   Merge branch 'master' of github.com:alshopov/git-po (2026-04-20 07:37:21 +0800)
>
> ----------------------------------------------------------------
> l10n-2.54.0-v2
> -----BEGIN PGP SIGNATURE-----
>
> iQIzBAABCAAdFiEE37vMEzKDqYvVxs51k24VDd1FMtUFAmnlaFEACgkQk24VDd1F
> MtUpsBAAoyMhQnxSHprl+xXd/JVOn/pswGUOvXyr8c/I/BowkG4wQfVyRwpw1uRR
> lO1jlEyyJjIAXJERnTODzuCEktBSfwedF7HgZhS68kTq7xV7hOuxJVS8GXCWI0O4
> TXQ/sNQcP93swIxqbTUhnP+sFwb3P7YoUDWIAbNJa7PLkGZbOdet4iWYSk3etcya
> JbE6MAZpTjNidleTcpjeC87Wy6X59VCSFHAr6x3AaOyaZ8W5VayiRJRb/Zy6gd2+
> ebc8qcPVXAWlwZfmPlQfCV964tbfhc8Lz/vHCmuNgA9bqqZZHPJSHE+UNhjuBOfv
> pDU8MVhKI2NTCqUdrW782fXCewL3iJ72T0AYTV6m8MhO67gi3OYk4Y0C82kH/6eg
> 9FEk5uu1HnwhdVYb0yh5mS7nEbwjJgUcfJelWggHfl/tDlumw1EOrQbF3Pe1DIIH
> K4Km7sNgAiXyJ2oePkIR9Pghh/5yJgQ39NUc7houFgaz2UfnQ3taXgaDL5cakhOV
> 42yCnLNsiTm4QmFbctMqLK7l7C2Ql0/UEm5moRosRS/KpaOMSlrmxhuE5Fad344f
> VeZsFiHJGtkB/hFb6lhfLEIryVjkb7mpt+6TMZD+P5os1dHWM4Xez09YHg+i6I1A
> lre6pVUSm59qQTmHhpPIl49Ak6A4t+OX+/3CIALotAkWucOuiCg=
> =WrJg
> -----END PGP SIGNATURE-----
>
> ----------------------------------------------------------------
> A4-Tacks (1):
>       l10n: fix 'zh_TW.po' 'Applying patch'
>
> Aindriú Mac Giolla Eoin (1):
>       l10n: ga.po: update for Git 2.54
>
> Alexander Shopov (2):
>       l10n: bg.po: Updated Bulgarian translation (6226t)
>       l10n: bg.po: Updated Bulgarian translation (6226t)
>
> Emir SARI (1):
>       l10n: tr: Update Turkish translations
>
> Jean-Noël Avila (1):
>       l10n: fr: v2.54.0
>
> Jiang Xin (17):
>       l10n: add .gitattributes to simplify location filtering
>       l10n: docs: add AGENTS.md with update POT instructions
>       l10n: docs: add update PO instructions in AGENTS.md
>       l10n: docs: add translation instructions in AGENTS.md
>       l10n: docs: add review instructions in AGENTS.md
>       l10n: document AI and PO helper in po/README
>       Merge branch 'master' of https://github.com/git/git
>       Merge branch 'master' of https://github.com/git/git
>       l10n: zh_CN: post-2.53 code review
>       l10n: zh_CN: updated translation for 2.54
>       Merge branch 'zh_CN-2.54' of github.com:jiangxin/git
>       Merge branch 'tr-l10n' of github.com:bitigchi/git-po
>       Merge branch 'apply-patch-reject' of github.com:A4-Tacks/git-po
>       Merge branch 'master' of github.com:nafmo/git-l10n-sv
>       Merge branch 'master' of github.com:alshopov/git-po
>       Merge branch 'fr_v2.54.0' of github.com:jnavila/git
>       Merge branch 'master' of github.com:alshopov/git-po
>
> Mikel Forcada (1):
>       l10n: Update Catalan Translation
>
> Peter Krefting (1):
>       l10n: sv.po: Update Swedish translation
>
> Stefan Björnelund (1):
>       l10n: sv.po: correct various translations
>
> Yi-Jyun Pan (1):
>       l10n: zh_TW: update translation for Git 2.54
>
>  po/.gitattributes |   35 +
>  po/AGENTS.md      |  877 +++++++++++
>  po/README.md      |   98 +-
>  po/bg.po          | 1630 ++++++++++++++-------
>  po/ca.po          | 4215 ++++++++++++++++++++++++++++++++++++-----------------
>  po/es.po          |   34 +-
>  po/fr.po          | 1244 +++++++++++-----
>  po/ga.po          | 1457 +++++++++++-------
>  po/ru.po          |   28 +-
>  po/sv.po          | 1351 ++++++++++++-----
>  po/tr.po          | 1368 ++++++++++++-----
>  po/zh_CN.po       | 1454 +++++++++++++-----
>  po/zh_TW.po       | 2701 ++++++++++++++++++++++------------
>  13 files changed, 11694 insertions(+), 4798 deletions(-)
>  create mode 100644 po/.gitattributes
>  create mode 100644 po/AGENTS.md
>
> --
> Jiang Xin